NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.BendBuilder Class Reference

Represents a Bend feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.BendBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendDirectionOptions { SectionNormalSide, SectionReverseNormalSide }
 This enum represents the Bend Direction for Bend. More...
 
enum  BendLocationOptions {
  OuterMoldLine, CenterLine, InnerMoldLine, MaterialInside,
  MaterialOutside
}
 This enum represents the Bend Location (Material Side) for Bend. More...
 
enum  FixedSideOptions { SectionSideLeft, SectionSideRight }
 This enum represents the Fixed Side for Bend. More...
 

Public Member Functions

unsafe NXOpen.Expression GetBendAngle ()
 Returns the Bend Angle More...
 
unsafe void SetBendAngle (string bendAngle)
 Sets the Bend Angle More...
 
unsafe int ValidateBuilderData ()
 Verify whether the builder data is valid for creating bend or not. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.SheetMetal.BendBuilder.BendLocationOptions 
BendLocation [get, set]
 Returns or sets the Bend Location (Material Side) More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the Bend Options. More...
 
unsafe
NXOpen.Features.SheetMetal.BendBuilder.BendDirectionOptions 
Direction [get, set]
 Returns or sets the Bend Direction More...
 
unsafe bool ExtendProfile [get, set]
 Returns or sets the Extend Option More...
 
unsafe
NXOpen.Features.SheetMetal.BendBuilder.FixedSideOptions 
FixedSide [get, set]
 Returns or sets the Fixed Side More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the Section More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the Sketch More...
 
unsafe NXOpen.Face TargetFace [get, set]
 Returns or sets the target face on which bend feature applies. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Bend feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBendFeatureBuilder

Created in NX5.0.0

Member Enumeration Documentation

This enum represents the Bend Direction for Bend.

Enumerator
SectionNormalSide 

Bend is created on the side of the section normal.

SectionReverseNormalSide 

Bend is created on the side opposite to that of the section normal

This enum represents the Bend Location (Material Side) for Bend.

Enumerator
OuterMoldLine 
CenterLine 
InnerMoldLine 
MaterialInside 
MaterialOutside 

This enum represents the Fixed Side for Bend.

Enumerator
SectionSideLeft 

Side pointed to by the inverse of the tangent cross normal vector

SectionSideRight 

Side pointed to by the tangent cross normal vector

Member Function Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendBuilder.GetBendAngle ( )
inline

Returns the Bend Angle

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe void NXOpen.Features.SheetMetal.BendBuilder.SetBendAngle ( string  bendAngle)
inline

Sets the Bend Angle

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendAngle
unsafe int NXOpen.Features.SheetMetal.BendBuilder.ValidateBuilderData ( )
inline

Verify whether the builder data is valid for creating bend or not.

If the Builder data is valid, returned value should be 0

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
Data Validity Flag.

Property Documentation

unsafe NXOpen.Features.SheetMetal.BendBuilder.BendLocationOptions NXOpen.Features.SheetMetal.BendBuilder.BendLocation
getset

Returns or sets the Bend Location (Material Side)

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.BendBuilder.BendOptions
get

Returns the Bend Options.

The option Features.SheetMetal.BendOptions.CornerReliefTypeOptions.None is not valid for the Features.Bend starting NX11 onwards.

From NX 12 Features.SheetMetal.BendOptions.ExtendBendRelief has no effect on the Bend feature.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendBuilder.BendDirectionOptions NXOpen.Features.SheetMetal.BendBuilder.Direction
getset

Returns or sets the Bend Direction

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.BendBuilder.ExtendProfile
getset

Returns or sets the Extend Option

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.BendBuilder.FixedSideOptions NXOpen.Features.SheetMetal.BendBuilder.FixedSide
getset

Returns or sets the Fixed Side

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.BendBuilder.Section
getset

Returns or sets the Section

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.BendBuilder.Sketch
getset

Returns or sets the Sketch

Created in NX5.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Face NXOpen.Features.SheetMetal.BendBuilder.TargetFace
getset

Returns or sets the target face on which bend feature applies.

Created in NX10.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.